Bug 971548 - [abrt] system-config-printer-1.4.1-3.fc19: exceptions.py:53:__str__:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe3' in position 1: ordinal not in range(128)
Summary: [abrt] system-config-printer-1.4.1-3.fc19: exceptions.py:53:__str__:UnicodeEn...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 19
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:efae76cea1b3fd7380105fc61cd...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 19:03 UTC by berg
Modified: 2013-06-13 06:36 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.4.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 06:36:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (822 bytes, text/plain)
2013-06-06 19:03 UTC, berg
no flags Details
File: core_backtrace (340 bytes, text/plain)
2013-06-06 19:03 UTC, berg
no flags Details
File: dso_list (78 bytes, text/plain)
2013-06-06 19:03 UTC, berg
no flags Details
File: environ (2.28 KB, text/plain)
2013-06-06 19:03 UTC, berg
no flags Details

Description berg 2013-06-06 19:03:33 UTC
Version-Release number of selected component:
system-config-printer-1.4.1-3.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.4-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
exceptions.py:53:__str__:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe3' in position 1: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 607, in msg_reply_handler
    *message.get_args_list()))
  File "/usr/share/system-config-printer/ppdsloader.py", line 238, in _packagekit_error
    debugprint ("Got PackageKit error: %s" % exc)
  File "/usr/lib/python2.7/site-packages/dbus/exceptions.py", line 53, in __str__
    s = Exception.__str__(self)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe3' in position 1: ordinal not in range(128)

Local variables in innermost frame:
self: DBusException(dbus.String(u'N\xe3o foi poss\xedvel encontrar o driver da impressora em nenhuma origem de software configurada'),)

Comment 1 berg 2013-06-06 19:03:37 UTC
Created attachment 757833 [details]
File: backtrace

Comment 2 berg 2013-06-06 19:03:41 UTC
Created attachment 757835 [details]
File: core_backtrace

Comment 3 berg 2013-06-06 19:03:44 UTC
Created attachment 757836 [details]
File: dso_list

Comment 4 berg 2013-06-06 19:03:47 UTC
Created attachment 757837 [details]
File: environ

Comment 5 Tim Waugh 2013-06-07 10:10:00 UTC
Fixed upstream in commit 69e6dcf.

Comment 6 Fedora Update System 2013-06-07 16:29:36 UTC
system-config-printer-1.4.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-6.fc19

Comment 7 Fedora Update System 2013-06-08 02:57:23 UTC
Package system-config-printer-1.4.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10351/system-config-printer-1.4.1-6.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-06-13 06:36:58 UTC
system-config-printer-1.4.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.